
/*
 * defines.h - misc constants and macros
 * $Id: defines.h,v 1.2 1998/06/01 00:55:00 ademko Exp $
 *
 * Copyright (C) 1998 Alex Demko <ademko@mbnet.mb.ca>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __INCLUDED_DEFINES_H
#define __INCLUDED_DEFINES_H

/* max string size - static strings are used in some required areas */
#define MAX_S 500

/* bomb with some info */
#define error_bomb(msg) {\
     g_error("menutool: fatal error:\n " \
     __FILE__ "(%d)->" __FUNCTION__ ": " msg "\n",__LINE__); \
     exit(1); \
     }

/* 'safe' free() */
#define sfree(p) {if ((p)) g_free((p));}

/* 'safe' strdup() */
#define sstrdup(p) g_strdup((p)?p:"")

#endif

