
/*
 * winmsgbox.h - header file for general purpose popup boxes
 * $Id: winmsgbox.h,v 1.1 1998/04/23 19:54:46 ademko Exp $
 *
 * Copyright (C) 1998 Alex Demko <ademko@mbnet.mb.ca>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _INCLUDED_WINMSGBOX_H
#define _INCLUDED_WINMSGBOX_H

#include <gtk/gtk.h>

/* buttons types (OR(|) them together to form the buttons parameter
   in newMsgBox() */
#define MSGBOX_BUTTON_OK 1
#define MSGBOX_BUTTON_CANCEL 2
#define MSGBOX_BUTTON_NO 4
#define MSGBOX_BUTTON_YES 8

/* the message box type, used so the calling program can link handlers
   to the buttons */
typedef struct msgbox {
        GtkWidget *window,
            *ok, *cancel, *yes, *no;
} msgbox;

/* creates a new message box with the given parameters. one should then
   connect to any button signals they wish, then call showMsgBox() */
msgbox newMsgBox(const gchar *title, const gchar *msg, gint buttons);

/* attachs some final signal handlers to the buttons and shows
   the message box */
void showMsgBox(msgbox *mbox);

#endif

